export LOCAL_SETTINGS_CONF_VERSION=v22
export HTACCESS_CONF_VERSION=v1
export ENTRYPOINT_CONF_VERSION=v19
export COMPOSER_LOCAL_CONF_VERSION=v5
export PHP_INI_VERSION=v4

export SAML_ENTRYPOINT_CONF_VERSION=v3

abra_backup_app() {
  _abra_backup_dir "app:/var/www/html/images"
}

abra_backup_db() {
  _abra_backup_mysql "db" "mediawiki"
}

abra_backup() {
  abra_backup_app && abra_backup_db
}

abra_restore_app() {
  # shellcheck disable=SC2034
  {
	abra__src_="-"
	abra__dst_="app:/var/www/html/"
  }

  zcat "$@" | sub_app_cp

  success "Restored 'app'"
}

abra_restore_db() {
  # 3wc: unlike abra_backup_db, we can assume abra__service_ will be 'db' if we
  # got this far..

  # shellcheck disable=SC2034
  abra___no_tty="true"

  DB_ROOT_PASSWORD="$(sub_app_run cat /run/secrets/db_root_password)"

  zcat "$@" | sub_app_run mysql -u root -p"$DB_ROOT_PASSWORD" wordpress

  success "Restored 'db'"
}
